Bug 699014

Summary: gnome-shell NetworkManager indicator has no interface for WPA Enterprise
Product: [Fedora] Fedora Reporter: Charles R. Anderson <cra>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: awilliam, chkr, cra, dannybaumann, dcbw, info, jan.public, jlaska, maxamillion, mclasen, michel, otaylor, pbrobinson, ricardo.arguello, samkraju, stickster, tflink, tomspur, vondruch, walters
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AcceptedNTH
Fixed In Version: gnome-shell-3.0.1-4.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 694765 Environment:
Last Closed: 2011-05-14 00:06:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 657621    

Description Charles R. Anderson 2011-04-22 11:52:16 EDT
+++ This bug was initially created as a clone of Bug #694765 +++

Description of problem:
When trying to connect to a wireless network secured with WPA2 enterprise, nothing happens. There's no message in dmesg, only the following error in .xsession-errors:

Window Manager warning: Log level 16: Device activation failed: (32) Failed to determine AP security information.

Version-Release number of selected component (if applicable):
Latest in Fedora 15 (without rawhide)

How reproducible:

Steps to Reproduce:
1. Boot up your computer
2. Find a WPA2 enterprise wireless network
3. Try to connect
4. View .xsession-errors
  
Actual results:
Nothing happens, and you're not connected to the network

Expected results:
Dialog to enter WPA2 credentials, and then a successful connection.

--- Additional comment from cra@wpi.edu on 2011-04-08 11:18:47 EDT ---

Right, I noticed on the F15 Live Beta TC1 that I cannot easily connect
to WPA2-Enterprise networks. Clicking on the network in the network
icon doesn't do anything at all--no attempt to connect, no connection
editor dialog pops up, nothing. Also, clicking Network Settings to open the control panel applet doesn't have any way to edit the WPA2-Enterprise connection either. The Options... button stays greyed out.

I had to go to overview mode to launch nm-connection-editor manually
just to be able to connect to the wireless network.

I think if a network requires more credentials to connect, the Gnome
Shell applet should pop up the connection editor, and/or the
Options... button on the network control panel should be active and
also launch nm-connection-editor.

I'm proposing this for F15Target.

--- Additional comment from jlaska@redhat.com on 2011-04-08 11:30:05 EDT ---

(In reply to comment #1)
> I'm proposing this for F15Target.

The correct place is F15-accepted (nice-to-have) - https://fedoraproject.org/wiki/QA:SOP_nth_bug_process

--- Additional comment from mclasen@redhat.com on 2011-04-15 16:06:58 EDT ---

I am able to connect to a WPA2-Enterprise network here now, with
NetworkManager-0.8.998-2.git20110406.fc15
control-center-3.0.0.1-3.fc15
gnome-shell-3.0.0.2-1.fc15
I had to set up the connection manually initially, ie by running nm-connection-editor and creating a suitable wifi connection. Ever since, using the connection from the shell network menu or from the control-center network panel works fine.

--- Additional comment from johannes.lips@googlemail.com on 2011-04-16 03:27:30 EDT ---

*** Bug 696106 has been marked as a duplicate of this bug. ***

--- Additional comment from updates@fedoraproject.org on 2011-04-19 02:44:00 EDT ---

NetworkManager-0.8.998-3.git20110419.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15

--- Additional comment from updates@fedoraproject.org on 2011-04-19 22:43:53 EDT ---

Package NetworkManager-0.8.998-3.git20110419.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.998-3.git20110419.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15
then log in and leave karma (feedback).

--- Additional comment from cra@wpi.edu on 2011-04-20 17:41:24 EDT ---

(In reply to comment #6)
> Package NetworkManager-0.8.998-3.git20110419.fc15:
> * should fix your issue,

0.8.998-3.git20110419.fc15 doesn't fix this for me.  I'm still not prompted for WPA2 Enterprise certificates, and .xsession-errors still shows:

Window Manager warning: Log level 16: Device activation failed: (32) Failed to
determine AP security information.

when selecting the WPA2 Enterprise protected network from the network applet.

Additionally, going to Network Settings, selecting Wireless, and choosing the same WPA2 Enterprise network from the Network Name dropdown does nothing either--the dropdown goes back to blank/no network selected.  No errors appear in .xsession-errors in this case.

--- Additional comment from cra@wpi.edu on 2011-04-20 17:44:39 EDT ---

On another system, I also noticed this message appear in .xsession-errors after selecting the WPA2 Enterprise network:

Gtk-Message: Failed to load module "pk-gtk-module"

Not sure if it is related...it doesn't display that message every time I select the network (like it does for the other one above), so it may just be coincidence that something else on the system is causing that one.

--- Additional comment from tflink@redhat.com on 2011-04-21 15:00:25 EDT ---

Discussed at the 2011-04-21 blocker bug review meeting. Does not directly hit any release criteria but deemed severe enough to accept as NTH.

--- Additional comment from dcbw@redhat.com on 2011-04-22 11:27:44 EDT ---

This bug is fixed for nm-applet and NetworkManager.  The remaining issue is lack of implementation support for WPA Enterprise networks in gnome-shell's network indicator, which is not an issue for NetworkManager.  Thus, this bug should be closed and a new one for the missing feature in the gnome-shell filed.  The applet now has all the support that gnome-shell needs to connect to WPA Enterprise networks.
Comment 1 James Laska 2011-05-10 11:35:10 EDT
Removing AcceptedNTH that was carried over when this issue was cloned.  It is now proposed for F15 as a nice-to-have (NTH) fix ... and will be reviewed shortly.
Comment 2 Adam Williamson 2011-05-10 12:10:54 EDT
To make it clearer, this bug is now:

"The remaining issue is lack of implementation support for WPA Enterprise networks in gnome-shell's network indicator"





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2011-05-10 12:40:12 EDT
i'm +1 nth on this, btw, but I suspect the chances of it actually getting addressed for release are tiny.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 James Laska 2011-05-10 12:58:29 EDT
(In reply to comment #3)
> i'm +1 nth on this, btw, but I suspect the chances of it actually getting
> addressed for release are tiny.

I'm +1 NTH (and -1 blocker) on this issue.  Requiring WPA2 enterprise networking is not a release criteria [1], and I'd caution against adding that for F15 without support+agreement from developers.

Considering this issue has a workaround (using nm-connection-editor), and that workaround is accessible during install, Live and post-install ... I'm comfortable documenting (+1 CommonBugs) and including a fix if available in time.  Otherwise, we can kindly ask dcbw to prioritize this issue for resolution as a day-0 update.

[1] https://fedoraproject.org/wiki/Fedora_15_Final_Release_Criteria
Comment 5 Adam Williamson 2011-05-10 13:08:44 EDT
it's not dan's problem, it's owen's. =) the NM 'applet' in gnome-shell is part of gnome-shell, not part of NM.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 James Laska 2011-05-10 13:27:19 EDT
(In reply to comment #5)
> it's not dan's problem, it's owen's. =) the NM 'applet' in gnome-shell is part
> of gnome-shell, not part of NM.

Thanks for the clarification  (s/dcbw/cwalters/)
Comment 7 James Laska 2011-05-10 15:09:49 EDT
(In reply to comment #6)
> (s/dcbw/cwalters/)

Good heavens!  s/dcbw/otaylor/
Comment 8 Dan Williams 2011-05-10 16:29:42 EDT
The necessary NM-side support is part of NM 0.8.999 which should be part of F15 final (I believe) but for gnome-shell, while the necessary patches landed upstream last week, they did not get approved for gnome-shell stable branch and thus F15 in time for the freeze on Monday.  So they may go in as an update after F15 final.  Upstream git sha1s for these fixes are:

commit 101a07a3d79223cc153a6c65f22acd76cbae4818
Author: Dan Williams <dcbw@redhat.com>
Date:   Tue May 3 12:21:45 2011 -0500

    network: fix handling of AP flags and enhance for 802.1x


commit ae0652d13fc2d7caa3d64f2b87d174253cae5901
Author: Dan Williams <dcbw@redhat.com>
Date:   Tue May 3 13:31:45 2011 -0500

    network: fix initial connections to WPA[2] Enterprise APs
Comment 9 Adam Williamson 2011-05-10 16:57:24 EDT
as this is NTH, we can take a fix for this into RC1 if it can be provided soon (as in, next few hours) - we're just about ready to do RC1 compose otherwise.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Paul W. Frields 2011-05-10 17:15:11 EDT
FWIW, I agree this is NTH -- James had asked around for an opinion from someone !QA, so here I am. :-)  Also, I've been asking around for some support on fixing this bug since it still would be NTH as a 0-day update.  I have some response from devs on it, Florian Muellner was going to look at it but if he can't resolve it best to wait until Owen returns from vacation next week, again aiming for a 0-day if possible.
Comment 11 Fedora Update System 2011-05-10 17:58:19 EDT
gnome-shell-3.0.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-shell-3.0.1-4.fc15
Comment 12 Adam Williamson 2011-05-10 18:00:43 EDT
if people could please test and up-karma the update fast that would be great - we will be getting rc1 compose underway soon.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 13 Adam Williamson 2011-05-10 18:01:17 EDT
marking acceptednth with +1s from me, jlaska and paul (and jimw...)



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Fedora Update System 2011-05-11 01:50:30 EDT
Package gnome-shell-3.0.1-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-shell-3.0.1-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-shell-3.0.1-4.fc15
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2011-05-14 00:06:51 EDT
gnome-shell-3.0.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Adam Williamson 2011-05-24 10:12:09 EDT
I believe we just slipped this into the release, so removing commonbugs keyword.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers